@echo off
rem  BRIDGE.BAT
rem  Main Batch file to run D'Bridge.
rem  Place this batch file in your D'Bridge \db sub-directory.
cls
echo                   [34;41m͸[0m
echo                   [34;41m      [37;1m   D'Bridge Continuous Mail      [0;41;34m[0m
echo                   [34;41m          [37;1mBatch File Processor         [0;41;34m[0m
echo                   [34;41m;[0m
echo:
rem:  ** Change drive and path if yours is different. **
c:
cd \db

:START

db

  If ErrorLevel 100 Goto LOCAL    rem LOCAL SYSOP to PCBoard
  If ErrorLevel  99 Goto PCBSM    rem Go Directly to PCB System Mgr.
  If ErrorLevel  90 Goto REMOTE   rem Run Node 1
  If ErrorLevel   7 Goto END      rem End D'Bridge & return to DOS
  If ErrorLevel   0 Goto END      rem DOS exit from D'Bridge

:REMOTE
rem  ** Change drive and path if yours is different. **
c:
cd \pcb\b1
Board

:LOCAL
c:
cd \pcb\b1
echo pcb145 /LOCALON > c:\pcb\b1\pcbbat.bat
Board

:PCBSM
c:
cd \pcb\b1
pcbsm
bridge

:END
Exit
